Bug 1872363 - Add endpoint slices to must-gather data collection
Summary: Add endpoint slices to must-gather data collection
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.6.0
Assignee: Stephen Greene
QA Contact: Hongan Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-25 14:55 UTC by Stephen Greene
Modified: 2020-09-03 11:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift oc pull 531 None closed Bug 1872363: Add EndpointSlices to list of namespace resources to collect 2020-09-02 08:43:43 UTC

Description Stephen Greene 2020-08-25 14:55:43 UTC
Description of problem:

OpenShift 4.6 will use EndpointSlices for ingress by default.

Must gather (https://github.com/openshift/must-gather) does not currently collect EndpointSlices resources, just Endpoint resources. Must-gather should include both of these endpoint resources going forward to help with debugging.

Version-Release number of selected component (if applicable):
4.6

How reproducible:
100%

Steps to Reproduce:
1. Create 4.6 cluster
2. Collect must gather data with `oc adm must-gather`


Actual results:

Each namespace folder in must gather is missing EndpointSlices resources

Expected results:

Each namespace folder includes EndpointSlices resources (in addition to endpoint resources).

Comment 4 Hongan Li 2020-09-03 11:14:18 UTC
verified with 4.6.0-0.nightly-2020-09-02-165033 and passed


$ ll ./must-gather.local.428013668617161244/quay-io-openshift-release-dev-ocp-v4-0-art-dev-sha256-0085b6f827c043a1eb32d62572079adbb885a4877ecf60ef6e6649dae8d74315/namespaces/openshift-ingress/discovery.k8s.io/endpointslices.yaml 
-rwxr-xr-x. 1 hongan hongan 5831 Sep  3 18:07 ./must-gather.local.428013668617161244/quay-io-openshift-release-dev-ocp-v4-0-art-dev-sha256-0085b6f827c043a1eb32d62572079adbb885a4877ecf60ef6e6649dae8d74315/namespaces/openshift-ingress/discovery.k8s.io/endpointslices.yaml


Note You need to log in before you can comment on or make changes to this bug.